commit:     b3f0eeff524978c48fb29b3d99ad1c22f9570584
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 22 20:27:56 2016 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Tue Mar 22 20:27:56 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b3f0eeff

dev-vcs/git: Don't try to remove nonexistant directories with USE=-nls

Package-Manager: portage-2.2.28

 dev-vcs/git/git-2.7.4.ebuild | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/dev-vcs/git/git-2.7.4.ebuild b/dev-vcs/git/git-2.7.4.ebuild
index 06a2a18..a46fe25 100644
--- a/dev-vcs/git/git-2.7.4.ebuild
+++ b/dev-vcs/git/git-2.7.4.ebuild
@@ -540,7 +540,9 @@ src_install() {
        # we could remove sources in src_prepare, but install does not
        # handle missing locale dir well
        rm_loc() {
-               rm -r "${ED}/usr/share/locale/${1}" || die
+               if [[ -e "${ED}/usr/share/locale/${1}" ]]; then
+                       rm -r "${ED}/usr/share/locale/${1}" || die
+               fi
        }
        l10n_for_each_disabled_locale_do rm_loc
 }

Reply via email to